import { IViolations } from './violations/IViolations';
export * from './generic';
export * from './ISpecificErrors';
export * from './handler';

export interface IErrorHandler {
	canHandle(error: unknown): boolean;
	handle(error: unknown, additionalData?: unknown): IViolations;
}

export interface IAdditionalData {
	formFields?: unknown[];
}
